Skip to main content
GET
/
v1
/
spending
/
merchants
/
top
cURL
curl --request GET \
  --url https://external.vin.gs/api/v1/spending/merchants/top \
  --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://external.vin.gs/api/v1/spending/merchants/top', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
import requests

url = "https://external.vin.gs/api/v1/spending/merchants/top"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://external.vin.gs/api/v1/spending/merchants/top"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "totalExpense": {
    "amount_cents": 123,
    "currency": "<string>"
  },
  "merchants": [
    {
      "merchant": "<string>",
      "total": {
        "amount_cents": 123,
        "currency": "<string>"
      },
      "percentOfTotal": 123,
      "transactionCount": 123
    }
  ]
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}
{
"error": {
"code": "UNAUTHORIZED",
"message": "Missing bearer token",
"details": null,
"requestId": "<string>"
}
}

Authorizations

Authorization
string
header
required

Vings OAuth access token or personal access token (vng_pat_…). Use Authorization: Bearer ….

Query Parameters

dateFrom
string
Example:

"2026-01-01"

dateTo
string
Example:

"2026-01-31"

timeRange
enum<string>
Available options:
1m,
3m,
6m,
1y,
all
query
string
topN
string

Response

Top merchants by spending

totalExpense
object
required

Total expense amount in user's preferred currency

merchants
object[]
required

Top merchants sorted by spending amount